// gnome.xonotic.in.ua

models/dagf/road/fence
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm playerclip
	sort 6
	cull none
	nopicmip
	{
		map models/dagf/road/fence.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/dagf_models/lights/glass_1
{
	qer_editorimage models/mapobjects/dagf_models/lights/glass_1.tga
	q3map_lightimage models/mapobjects/dagf_models/lights/glass_1_c.tga
	q3map_surfacelight 50000
	{
		map models/mapobjects/dagf_models/lights/glass_1
	}
}

models/mapobjects/dagf_models/lights/light_1
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nonsolid
	deformvertexes autosprite
	cull none
	nopicmip
	{
		map models/mapobjects/dagf_models/lights/light_1
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nodraw
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/dagf_btf/cg_brick
{
	qer_editorimage textures/dagf_btf/cg_brick
	surfaceparm nodamage
	{
		map textures/dagf_btf/cg_brick
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/dagf_btf/cg_con
{
	qer_editorimage textures/dagf_btf/cg_con
	surfaceparm nodamage
	{
		map textures/dagf_btf/cg_con
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/dagf_btf/cg_con_2
{
	qer_editorimage textures/dagf_btf/cg_con_2
	surfaceparm nodamage
	{
		map textures/dagf_btf/cg_con_2
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/dagf_btf/cg_con_3
{
	qer_editorimage textures/dagf_btf/cg_con_3
	surfaceparm nodamage
	{
		map textures/dagf_btf/cg_con_3
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/dagf_btf/cg_con_4
{
	qer_editorimage textures/dagf_btf/cg_con_4
	surfaceparm nodamage
	{
		map textures/dagf_btf/cg_con_4
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/dagf_btf/cg_grass
{
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nodamage
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dagf_btf/cg_grass.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/dagf_btf/cg_marble
{
	qer_editorimage textures/dagf_btf/cg_marble
	surfaceparm nodamage
	{
		map textures/dagf_btf/cg_marble
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/dagf_btf/cg_metal_red
{
	qer_editorimage textures/dagf_btf/cg_metal_red
	surfaceparm nodamage
	{
		map textures/dagf_btf/cg_metal_red
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/dagf_btf/cg_road
{
	qer_editorimage textures/dagf_btf/cg_road
	surfaceparm nodamage
	{
		map textures/dagf_btf/cg_road
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/dagf_btf/cg_road_corner
{
	qer_editorimage textures/dagf_btf/cg_road_corner
	surfaceparm nodamage
	{
		map textures/dagf_btf/cg_road_corner
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/dagf_btf/cg_rock
{
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nodamage
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dagf_btf/cg_rock.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/dagf_btf/cg_soil
{
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nodamage
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dagf_btf/cg_soil.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/dagf_btf/cg_soil2
{
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nodamage
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dagf_btf/cg_soil2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/dagf_btf/cg_soil2_stony
{
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nodamage
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/dagf_btf/cg_soil2_stony.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/dagf_btf/cg_wood
{
	qer_editorimage textures/dagf_btf/cg_wood
	surfaceparm nodamage
	{
		map textures/dagf_btf/cg_wood
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/dagf_btf/concret
{
	qer_editorimage textures/dagf_btf/concret
	surfaceparm nodamage
	{
		map textures/dagf_btf/concret
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/dagf_btf/glass
{
	qer_editorimage textures/dagf_btf/glass
	surfaceparm nodamage
	{
		map textures/dagf_btf/glass
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/dagf_btf/metal_1
{
	qer_editorimage textures/dagf_btf/metal_1
	surfaceparm nodamage
	{
		map textures/dagf_btf/metal_1
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/dagf_btf/sky2
{
	qer_editorimage textures/dagf_btf/sky2
	q3map_surfacelight 200
	{
		map textures/dagf_btf/sky2.tga
	}
}

textures/dagf_btf/sky4
{
	qer_editorimage textures/dagf_btf/sky4
	q3map_surfacelight 250
	{
		map textures/dagf_btf/sky4.tga
	}
}

textures/dagf_common/playerclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm nodamage
}

textures/dagf_common/teleporter
{
	qer_trans 0.40
	qer_nocarve
	surfaceparm nodraw
}

textures/liquids/clear_ripple3
{
	qer_editorimage textures/liquids/pool3d_3c.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .5 .5 0 .5
	{
		map textures/liquids/pool3d_5c.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6c.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

